0

I am getting the following error when trying to update Craft from 3.3.18.4 to 3.3.19 and any version after. It seems like Homestead or Vagrant is having some sort of issue with IpValidator or the Class 'Yii'. Anyone else seen this issue before?

Fatal error: Uncaught Error: Class 'Yii' not found in /home/vagrant/****/****/vendor/yiisoft/yii2/validators/IpValidator.php on line 218

Error: Class 'Yii' not found in /home/vagrant/****/****/vendor/yiisoft/yii2/validators/IpValidator.php on line 218
  • Can you set your craftcms/cms to 3.3.19 in your compser.json file, then run composer update from your project's root and try again? – Brad Bell Mar 5 at 7:16
  • Have tried that already. Still the same error. It was able to get it working when using MAMP but not Homestead. – kayq Mar 5 at 22:10

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.